Bug 868527 - i/o error on K3b
i/o error on K3b
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
19
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 12:32 EDT by Herbert Carl Meyer
Modified: 2015-02-18 08:46 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:46:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugging output from k3b (576.10 KB, text/plain)
2012-10-20 12:32 EDT, Herbert Carl Meyer
no flags Details

  None (edit)
Description Herbert Carl Meyer 2012-10-20 12:32:53 EDT
Created attachment 630487 [details]
debugging output from k3b

Description of problem:

attempting to burn a blu-ray data disk with k3b, at the end of writing, an I/O error, with no details shown occurred. Debugging text attached.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. start k3b
2.produce data project
3.start burn
  
Actual results:
I/O error at end of write

Expected results:


Additional info:
Debugging output attached.
Device use is new pioneer blu-ray burner, in an external disk box, with an USB 2.0 interface.
Resulting disk is readable, but has some missing data, i.e. empty directories. Most data written sucessfully.
First try at burning with new hardware. Hardware works well as reader.
Comment 1 Fedora End Of Life 2013-01-16 08:35:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Reartes Guillermo 2013-03-10 20:30:48 EDT
Please check:

https://bugs.kde.org/show_bug.cgi?id=316384
"k3b cannot verify BD-R due to i/o error but logs shows none"

https://bugzilla.redhat.com/show_bug.cgi?id=858029
"growisofs fails to close the FIRST session with SK=5h/INVALID FIELD IN CDB when burning blu-ray BD-R SL"
Comment 3 Fedora End Of Life 2013-04-03 10:55:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora Update System 2013-06-24 12:05:37 EDT
dvd+rw-tools-7.1-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dvd+rw-tools-7.1-13.fc19
Comment 5 Fedora Update System 2013-06-24 12:24:57 EDT
dvd+rw-tools-7.1-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dvd+rw-tools-7.1-13.fc18
Comment 6 Frantisek Kluknavsky 2013-06-24 12:36:15 EDT
Could you please test if the update fixes your problem?
Comment 7 Fedora Update System 2013-06-24 13:04:44 EDT
dvd+rw-tools-7.1-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dvd+rw-tools-7.1-13.fc17
Comment 8 Herbert Carl Meyer 2013-06-24 21:31:17 EDT
Retried with 2 systems, fedora 19, lg dvd burner, fedora 18 pioneer bd burner. Both appear successful. fedora 19 has dvd+rw-tools-7.1.12 (32 bit), f18 has 7.1.10 (64 bit).
Peculiar observation: the elapsed time shown in k3b burn dialog on the f19 system is inflated, showing over 4 hours on 1/2 hour job. No obvious explanation.
Comment 9 Fedora Update System 2013-07-15 21:46:41 EDT
dvd+rw-tools-7.1-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Herbert Carl Meyer 2013-07-16 10:43:01 EDT
Applied dvd+rw-tools fix this morning with yum. Continued copying a dvd set, second disk errored with:

Burned media
-----------------------
DVD+R Dual Layer

Devices
-----------------------
PIONEER BD-RW   BDR-207D 1.21 (/dev/sr1, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL, BD-ROM, BD-R, BD-RE, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, DVD-R Sequential, DVD-R Dual Layer Sequential, DVD-R Dual Layer Jump, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW, BD-ROM, BD-R Sequential (SRM), BD-R Random (RRM), BD-RE] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R, Restricted Overwrite, Layer Jump, Random Recording, Sequential Recording, Sequential Recording + POW] [%7]
TSSTcorp CDDVDW SN-208BB SC00 (/dev/sr0, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, DVD-R Sequential, DVD-R Dual Layer Sequential, DVD-R Dual Layer Jump, DVD-RAM, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R, Restricted Overwrite, Layer Jump] [%7]

K3b::DataTrackReader
-----------------------
reading sectors 0 to 3972963 with sector size 2048. Length: 3972964 sectors, 8136630272 bytes.
using buffer size of 128 blocks.
Problem while reading. Retrying from sector 29640.
Ignoring read error in sector 29640.
Read a total of 3972964 sectors (8136630272 bytes)

System
-----------------------
K3b Version: 2.0.2
KDE Version: 4.10.5
QT Version:  4.8.4
Kernel:      3.9.9-302.fc19.x86_64

Used versions
-----------------------
growisofs: 7.1

growisofs
-----------------------
Executing 'builtin_dd if=/dev/fd/0 of=/dev/sr1 obs=32k seek=0'
/dev/sr1: splitting layers at 2016208 blocks
/dev/sr1: "Current Write Speed" is 2.5x1352KBps.
    7110656/8136630272 ( 0.1%) @1.3x, remaining 95:16 RBU 100.0% UBU   2.9%
   16941056/8136630272 ( 0.2%) @2.1x, remaining 63:54 RBU 100.0% UBU  97.1%
   26214400/8136630272 ( 0.3%) @2.0x, remaining 56:43 RBU 100.0% UBU  97.1%

        lines removed to shorten

 4093247488/8136630272 (50.3%) @2.1x, remaining 20:50 RBU 100.0% UBU  97.1%
 4102782976/8136630272 (50.4%) @2.1x, remaining 20:47 RBU 100.0% UBU  94.3%
:-[ WRITE@LBA=1ea470h failed with SK=3h/WRITE ERROR]: Input/output error
:-( write failed: Input/output error

growisofs command:
-----------------------
/usr/bin/growisofs -Z /dev/sr1=/dev/fd/0 -use-the-force-luke=notray -use-the-force-luke=tty -use-the-force-luke=4gms -use-the-force-luke=break:2016208 -use-the-force-luke=dao -dvd-compat -speed=2.4 -use-the-force-luke=bufsize:32m

I will retry, I saved iso image to rewrite, in case of error.
Comment 11 Fedora Update System 2013-08-02 17:55:39 EDT
dvd+rw-tools-7.1-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora End Of Life 2015-01-09 17:01:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-18 08:46:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.